Page MenuHomePhabricator

Set up Babel categories on Wikiquote:hu
Closed, ResolvedPublic

Description

Wikiquote:hu has a category tree for Babel templates, but the Babel extension doesn’t use it. So please modify InitialiseSettings.php as follows:

'wmgBabelCategoryNames'['huwikiquote'] = array(
	'0' => 'User %code%-0',
	'1' => 'User %code%-1',
	'2' => 'User %code%-2',
	'3' => 'User %code%-3',
	'4' => 'User %code%-4',
	'5' => 'User %code%-5',
	'N' => 'User %code%-N',
),
'wmgBabelMainCategory'['huwikiquote'] = 'User %code%'

Thanks!

Event Timeline

Tacsipacsi raised the priority of this task from to Needs Triage.
Tacsipacsi updated the task description. (Show Details)
Tacsipacsi added a subscriber: Tacsipacsi.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 2 2015, 3:27 PM
Aklapper triaged this task as Medium priority.Apr 3 2015, 12:55 PM

With this system, the new User xx-0 categories will be put in User xx categories. Is that acceptable?

Dereckson moved this task from Backlog to Working on on the Wikimedia-Site-requests board.

Change 203783 had a related patch set uploaded (by Dereckson):
Set up Babel categories for hu.wikiquote

https://gerrit.wikimedia.org/r/203783

With this system, the new User xx-0 categories will be put in User xx categories. Is that acceptable?

Isn’t it editable on-wiki with MediaWiki-messages? The current system is, of course, not this. I’ve already written on the administrators’ noticeboard to create these messages.

The extension doesn't allow the MediaWiki message config of the root category.

We have two choices:

  • we can ask the extension to put ALL the categories into -BabelMainCategory
  • we can ask the extension to create the categories by language code and level, but not to add [[Category:<-BabelMainCategory value>]] at the end of the created category pages.

In the first case, you'll have the new xx-0 put in parent xx categories. In the second case, it will only create xx-0 or xx-y, without putting them in xx.

Dereckson added a comment.EditedApr 15 2015, 7:11 PM

@Tacsipacsi ping.

So, how do you want this configured, without root category creation, or with "-0 behaves like -1"?

I would recommend the second behavior, as it'd be more consistent with other wikis practice.

@Dereckson: And how does Commons work? I see that e.g. Category:User egy-1 was created by the extension, at the same time as Category:User egy and the bot placed only the content of MediaWiki:Babel-autocreate-text-levels. Isn’t it still possible?

Dereckson added a comment.EditedApr 26 2015, 6:24 PM

@Tacsipacsi Hi I've checked the Wikimedia Commons Babel configuration.

They put 'User %code%-0' to 'User %code%-4' (and -N) in 'User %code%'.

So 'User fr-0' will be in 'User fr' on Commons.

Then categorize everything in a main category.

Then categorize everything in a main category.

Perfect, thank you for clarification. The change is now ready to be deployed in the next days.

Change 203783 merged by jenkins-bot:
Set up Babel categories for hu.wikiquote

https://gerrit.wikimedia.org/r/203783

Dereckson closed this task as Resolved.Apr 29 2015, 10:46 PM
Dereckson moved this task from To deploy to Done on the Wikimedia-Site-requests board.